PETSc version 3.17.4
Fix/Edit manual page

# PetscUnlikely

Hints the compiler that the given condition is usually FALSE

### Synopsis

    #include <petscmacros.h>
    bool PetscUnlikely(bool cond)

Not Collective

### Input Parameter

| cond | - Boolean expression

### Notes

Not available from fortran.

This returns the same truth value, it is only a hint to compilers that the result of cond is unlikely to be true.

### Example usage

      if (PetscUnlikely(cond)) {
        foo(); // cold path
      } else {
        bar(); // hot path
      }

### See Also

PetscLikely(), PetscUnlikelyDebug(), PetscCall(), PetscDefined(), PetscHasAttribute(),
PETSC_ATTRIBUTE_COLD

### Level

advanced

### Location

include/petscmacros.h

### Examples

src/sys/tutorials/ex6.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages